<?php include('./templates/cabecera.php'); ?>
<?php include('./config/db.php'); ?>
<?php include('funciones.php'); ?>
<?php 
$html = "formularioIngreso.php";
if(!$_GET){
    echo "<script>location.href='$html?pagina=1';</script>";
}
$error = "";
$ok = "";
$txtFiltro=(isset($_POST['txtFiltro']))?$_POST['txtFiltro']:"";
$getPagina=(isset($_POST['pagina']))?$_POST['pagina']:"";
$totalPaginas = 10;
$paginadorSalto = 9;
$txtId=(isset($_POST['txtId']))?$_POST['txtId']:"";
if(isset($_POST['chkActivo']) == "on"){
    $chkActivo = 1; //activo
}else{
    $chkActivo = 0; //inactivo
}
$selPlan=(isset($_POST['selPlan']))?$_POST['selPlan']:"";
$selCliente=(isset($_POST['selCliente']))?$_POST['selCliente']:"";
$selInstalacion=(isset($_POST['selInstalacion']))?$_POST['selInstalacion']:"";
$selActividad=(isset($_POST['selActividad']))?$_POST['selActividad']:"";
$txtFechaRealizacion=(isset($_POST['txtFechaRealizacion']))?$_POST['txtFechaRealizacion']:"";

////////////////////////////////////////////////////////////////////////////////////////////////
$txtFileNameAdjunto=(isset($_FILES['txtFileAdjunto']['name']))?$_FILES['txtFileAdjunto']['name']:"";
$txtFileTypeAdjunto=(isset($_FILES['txtFileAdjunto']['type']))?$_FILES['txtFileAdjunto']['type']:"";
$txtFileSizeAdjunto=(isset($_FILES['txtFileAdjunto']['size']))?$_FILES['txtFileAdjunto']['size']:"";
$txtFileTmpAdjunto=(isset($_FILES['txtFileAdjunto']['tmp_name']))?$_FILES['txtFileAdjunto']['tmp_name']:"";

$txtFileNameAdjunto = reestableceHTML($txtFileNameAdjunto);
//////////////////////////////////////////////////////////////////////////////////////
$instalacion = "";
$selected = "";
$alertaInstalacion = "";
$fecha = new DateTime();
$idPerfil = $_SESSION['perfil'];
$action=(isset($_POST['action']))?$_POST['action']:"";

switch($action){
    case "Agregar":
            if($selPlan == ""){
                $error = $error."-Debe seleccionar un plan<br>";
            }
            
            /*if($selCliente == ""){
                $error = $error."-Debe seleccionar un cliente<br>";
            }*/
            if($selInstalacion == ""){
                $error = $error."-Debe seleccionar una instalación<br>";
            }
            if($selActividad == ""){
                $error = $error."-Debe seleccionar una actividad<br>";
            }
            if($txtFechaRealizacion == ""){
                $error = $error."-Debe seleccionar una fecha de realización<br>";
            }
            if($txtFileNameAdjunto != ""){
                if(!validaTodo($txtFileTypeAdjunto)){
                    $error = $error."-La imagen adjunta no cumple con los formatos establecidos (JPG,PNG, PDF, WORD, EXCEL, PowerPoint)<br>";
                }
                if(!validaPesoArchivo($txtFileSizeAdjunto, $totalZise)){
                    $error = $error."-El tamaño de los adjuntos no debe ser superior a 30MB<br>";
                }
            }

            try{
                foreach($selInstalacion as $ins){
                    if($ins != ""){
                        $query = "select act.detalle, pa.cantidad as total, COUNT(ing.actividadId) as ejecutado, 
                        insta.nombre, pf.annio, pf.mes from formularioingreso ing 
                        inner JOIN formularioinstalacion inst on inst.formularioId = ing.id
                        inner join planprevencion pp on pp.id = ing.planId
                        inner join planfechas pf on pf.planId = pp.id
                        inner join planactividad pa on pa.planId = pp.id
                        INNER JOIN actividades act on act.id = pa.actividadId
                        inner join instalacion insta on insta.id = inst.instalacionId
                        where year(ing.fechaRealizacion) = pf.annio
                        and month(ing.fechaRealizacion) = pf.mes
                        and pa.actividadId=ing.actividadId
                        and pp.id in (:id) and inst.instalacionId in (:instalacionId) and ing.actividadId in (:actividadId)
                        and year(:fechaRealizacion) = pf.annio and month(:fechaRealizacion) = pf.mes
                        GROUP by ing.actividadId, pf.annio, pf.mes, insta.nombre";
                        //echo($query);
                        $sql=$conexion->prepare($query);   
                        $sql->bindParam(":id",$selPlan);
                        $sql->bindParam(":instalacionId",$ins);
                        $sql->bindParam(":actividadId",$selActividad);
                        $sql->bindParam(":fechaRealizacion",$txtFechaRealizacion);
                        $sql->execute();
                        //echo("ins = ".$ins."<br>");
                        if($sql->rowCount() > 0){
                            
                            $Plan= $sql->fetch(PDO::FETCH_LAZY); 
                            //echo("total = ".intval($Plan['total'])." ejecutado = ".intval($Plan['ejecutado'])."<br>");
                            if(intval($Plan['total']) <= intval($Plan['ejecutado'])){
                                $alertaInstalacion = $alertaInstalacion. "-".$Plan['nombre']."<br>"; 
                            }
                        }
                    }
                }
                if(strlen($alertaInstalacion) > 0){
                    $error = "La(s) siguiente(s) instalación(es) cuentan(n) con su actividad mensual cumplida : <br>".$alertaInstalacion; 
                }
            }catch (Exception $err) {
                $error =  ("Ha ocurrido un error en la solicitud. ".$err);  
            }


            if(strlen($error) == 0){
                try{
                    
                    $txtFileNameAdjunto=$fecha->getTimestamp()."_".$txtFileNameAdjunto;
                    $sql=$conexion->prepare("INSERT INTO formularioingreso (planId,clienteId,actividadId,fechaRealizacion,adjunto) 
                    VALUES (:planId,:clienteId,:actividadId,:fechaRealizacion,:adjunto);"); 
                    $sql->bindParam(":planId",$selPlan);
                    $sql->bindParam(":clienteId",$selCliente);
                    $sql->bindParam(":actividadId",$selActividad);
                    $sql->bindParam(":fechaRealizacion",$txtFechaRealizacion);
                    $sql->bindParam(":adjunto",$txtFileNameAdjunto);
                    //echo("INSERT INTO formularioingreso (planId,clienteId,actividadId,fechaRealizacion,adjunto) 
                    //VALUES (".$selPlan.",".$selCliente.",".$selActividad.",".$txtFechaRealizacion.",".$txtFileNameAdjunto.");<br>");
                    $sql->execute();

                    //echo("<!-->APLICAR FECHA PARA ADJUNTOS<-->");
                    
                    move_uploaded_file($txtFileTmpAdjunto,$document_root."/archivos/plan/".$txtFileNameAdjunto);

                    $insFolio=0;
                    $sql=$conexion->prepare("SELECT max(id) as id FROM formularioingreso;"); 
                    $sql->execute();
                    $folio = $sql->fetch(PDO::FETCH_LAZY); //1 solo atributo, para trabajar con él
                    $insFolio= $folio['id'];

                    foreach($selInstalacion as $ins){
                        if($ins != ""){
                            $sql=$conexion->prepare("INSERT INTO formularioinstalacion (formularioId,instalacionId) 
                            VALUES (:formularioId,:instalacionId);"); 
                            $sql->bindParam(":formularioId",$insFolio);
                            $sql->bindParam(":instalacionId",$ins);
                            $sql->execute();
                            //echo("INSERT INTO formularioinstalacion (planId,instalacionId) 
                            //VALUES (".$selPlan.",".$ins.");<br>");
                        }
                    }

                    echo("<script>alert('Se ha ingresado el registro satisfactoriamente');</script>");
                    echo "<script>location.href='$html';</script>";
                }catch (Exception $err) {
                    $error = ("Ha ocurrido un error al agregar la solicitud<br>".$err);    
                    //throw $th;
                }
            }
        break;
    case "Modificar":
            if($selPlan == ""){
                $error = $error."-Debe seleccionar un plan<br>";
            }
            
            /*if($selCliente == ""){
                $error = $error."-Debe seleccionar un cliente<br>";
            }*/
            if($selInstalacion == ""){
                $error = $error."-Debe seleccionar una instalación<br>";
            }
            if($selActividad == ""){
                $error = $error."-Debe seleccionar una actividad<br>";
            }
            if($txtFechaRealizacion == ""){
                $error = $error."-Debe seleccionar una fecha de realización<br>";
            }
            if($txtFileNameAdjunto != ""){
                if(!validaTodo($txtFileTypeAdjunto)){
                    $error = $error."-La imagen adjunta no cumple con los formatos establecidos (JPG,PNG, PDF, WORD, EXCEL, PowerPoint)<br>";
                }
                if(!validaPesoArchivo($txtFileSizeAdjunto, $totalZise)){
                    $error = $error."-El tamaño de los adjuntos no debe ser superior a 30MB<br>";
                }
            }
            try{
                foreach($selInstalacion as $ins){
                    if($ins != ""){
                        $query = "select act.detalle, pa.cantidad as total, COUNT(ing.actividadId) as ejecutado, 
                        insta.nombre, pf.annio, pf.mes from formularioingreso ing 
                        inner JOIN formularioinstalacion inst on inst.formularioId = ing.id
                        inner join planprevencion pp on pp.id = ing.planId
                        inner join planfechas pf on pf.planId = pp.id
                        inner join planactividad pa on pa.planId = pp.id
                        INNER JOIN actividades act on act.id = pa.actividadId
                        inner join instalacion insta on insta.id = inst.instalacionId
                        where year(ing.fechaRealizacion) = pf.annio
                        and month(ing.fechaRealizacion) = pf.mes
                        and pa.actividadId=ing.actividadId
                        and pp.id in (:id) and inst.instalacionId in (:instalacionId) and ing.actividadId in (:actividadId)
                        and year(:fechaRealizacion) = pf.annio and month(:fechaRealizacion) = pf.mes
                        GROUP by ing.actividadId, pf.annio, pf.mes, insta.nombre";
                        //echo($query);
                        $sql=$conexion->prepare($query);   
                        $sql->bindParam(":id",$selPlan);
                        $sql->bindParam(":instalacionId",$ins);
                        $sql->bindParam(":actividadId",$selActividad);
                        $sql->bindParam(":fechaRealizacion",$txtFechaRealizacion);
                        $sql->execute();
                        //echo("ins = ".$ins."<br>");
                        if($sql->rowCount() > 0){
                            
                            $Plan= $sql->fetch(PDO::FETCH_LAZY); 
                            //echo("total = ".intval($Plan['total'])." ejecutado = ".intval($Plan['ejecutado'])."<br>");
                            if(intval($Plan['total']) <= intval($Plan['ejecutado'])){
                                $alertaInstalacion = $alertaInstalacion. "-".$Plan['nombre']."<br>"; 
                            }
                        }
                    }
                }
                if(strlen($alertaInstalacion) > 0){
                    $error = "La(s) siguiente(s) instalación(es) cuentan(n) con su actividad mensual cumplida : <br>".$alertaInstalacion; 
                }
            }catch (Exception $err) {
                $error =  ("Ha ocurrido un error en la solicitud. ".$err);  
            }
            if(strlen($error) == 0){
                try{
                    $sql=$conexion->prepare("SELECT adjunto from formularioingreso where id=:id;");  
                    $sql->bindParam(":id",$txtId);
                    $sql->execute();
                    $listaDocumentos = $sql->fetch(PDO::FETCH_LAZY);

                    $sql=$conexion->prepare("UPDATE formularioingreso SET actividadId=:actividadId, 
                    fechaRealizacion=:fechaRealizacion where id=:id;");  
                    $sql->bindParam(":id",$txtId);
                    $sql->bindParam(":actividadId",$selActividad);
                    $sql->bindParam(":fechaRealizacion",$txtFechaRealizacion);
                    $sql->execute();

                    $sql=$conexion->prepare("DELETE from formularioinstalacion where formularioId=:id; ");  
                    $sql->bindParam(":id",$txtId);
                    $sql->execute();

                    foreach($selInstalacion as $ins){
                        if ($ins != ""){
                            $sql=$conexion->prepare("INSERT INTO formularioinstalacion (formularioId,instalacionId) 
                            VALUES (:formularioId,:instalacionId);"); 
                            $sql->bindParam(":formularioId",$txtId);
                            $sql->bindParam(":instalacionId",$ins);
                            $sql->execute();
                            //echo("INSERT INTO formularioinstalacion (planId,instalacionId) 
                            //VALUES (".$selPlan.",".$ins.");<br>");
                        }
                        
                    }
                    $txtFileNameAdjunto=$fecha->getTimestamp()."_".$txtFileNameAdjunto;
                    if($txtFileNameAdjunto != ""){
                        if(isset($listaDocumentos['adjunto'])){
                            if(file_exists($document_root."/archivos/plan/".$listaDocumentos['adjunto'])){
                                unlink($document_root."/archivos/plan/".$listaDocumentos['adjunto']);
                            }
                        }
                        move_uploaded_file($txtFileTmpAdjunto,$document_root."/archivos/plan/".$txtFileNameAdjunto);
                        $sql=$conexion->prepare("UPDATE formularioingreso SET adjunto=:imagen where id=:id;");  
                        $sql->bindParam(":id",$txtId);
                        $sql->bindParam(":imagen",$txtFileNameAdjunto);
                        $sql->execute();
                    }
                    
                    //echo("UPDATE formularioingreso SET actividadId=".$selActividad.", fechaRealizacion=".$txtFechaRealizacion.", adjunto=".$txtFileNameAdjunto." where id=".$txtId.";");  
                    echo("<script>alert('Se ha modificado el registro satisfactoriamente');</script>");
                    echo "<script>location.href='$html';</script>";
                }catch (Exception $err) {
                    $error = ("Ha ocurrido un error al modificar la solicitud".$err);    
                    //throw $th;
                }
            }
        break;
    case "Volver":
        echo "<script>location.href='index.php';</script>";
        break;
    case "Eliminar":
            try{
                $sql=$conexion->prepare("DELETE from formularioingreso where id=:id;");  
                $sql->bindParam(":id",$txtId);
                $sql->execute();

                $sql=$conexion->prepare("DELETE from formularioinstalacion where formularioId=:id;");  
                $sql->bindParam(":id",$txtId);
                $sql->execute();
                //echo("UPDATE formularioingreso SET actividadId=".$selActividad.", fechaRealizacion=".$txtFechaRealizacion.", adjunto=".$txtFileNameAdjunto." where id=".$txtId.";");  
                echo("<script>alert('Se ha eliminado el registro satisfactoriamente');</script>");
                echo "<script>location.href='$html';</script>";
            }catch (Exception $err) {
                $error = ("Ha ocurrido un error al modificar la solicitud");    
                //throw $th;
            }
        break;
    case "Seleccionar":
        try{
            $sql=$conexion->prepare("SELECT * FROM formularioingreso where id=:id;");  
            $sql->bindParam(":id",$txtId);
            $sql->execute();
            $Plan = $sql->fetch(PDO::FETCH_LAZY); //1 solo atributo, para trabajar con él
            $selPlan=$Plan['planId'];
            $selCliente=$Plan['clienteId'];
            //$selInstalacion=$Plan['instalacionId'];
            $selActividad=$Plan['actividadId'];
            $txtFechaRealizacion=$Plan['fechaRealizacion'];
            $txtFileNameAdjunto = $Plan['adjunto']; 

            $sql=$conexion->prepare("SELECT instalacionId FROM formularioinstalacion WHERE formularioId in (:planId);");
            $sql->bindParam(":planId",$txtId);
            $sql->execute();
            $listaInstalacion = $sql->fetchAll(PDO::FETCH_ASSOC);
            $selInstalacion = [];
            foreach($listaInstalacion as $ins){
                array_push($selInstalacion, $ins['instalacionId']);
                $instalacion = $ins['instalacionId']."-".$instalacion;
            }


        }catch (Exception $err) {
            $error = ("Ha ocurrido un error al seleccionar el registro");    
            //throw $th;
        }
        break;
}

$sqlFormulario="select fi.id, pp.nombrePlan, cli.nombre, act.detalle, fi.fechaRealizacion, fi.adjunto 
from formularioingreso fi inner join planprevencion pp on fi.planId=pp.id
inner join cliente cli on cli.id = fi.clienteId
inner join actividades act on act.id = fi.actividadId
where pp.id in (:planId)";  
//echo($sqlFormulario);
if($txtFiltro!="" ){
    $sqlFormulario = $sqlFormulario . " and pp.nombrePlan LIKE :id or cli.nombre LIKE :id or act.detalle LIKE :id 
    or fi.fechaRealizacion LIKE :id or fi.adjunto LIKE :id ";
}
try{
    $sql=$conexion->prepare($sqlFormulario); 
    $sql->bindParam(":planId",$selPlan);
    if($txtFiltro!="" ){
        $txtFiltro2=limpiaHTML("%".$txtFiltro."%");
        $sql->bindParam(":id",$txtFiltro2);
    }

    $sql->execute();
    if($sql->rowCount() > 0){
        $totalDatos = $sql->rowCount();
        $paginas = $totalDatos/$totalPaginas;
        $paginas = ceil($paginas);
    }else{
        $paginas = 1;
    }

}catch (Exception $err) {
    echo ("Ha ocurrido un error en la solicitud. "); 
}
//echo("getPagina = ".$getPagina);
if(is_null($getPagina)){ //$getPagina
    $getPagina=0;
    //echo("getPagina = ".$getPagina);
}else{
    $getPagina = intval($getPagina);
    //echo("getPagina = ".$getPagina);
}

if($getPagina > 0){
    $getPagina = $getPagina - 1;
}
$iniciar = ($getPagina) * $totalPaginas;

$sqlFormulario=$sqlFormulario." ORDER BY fi.id desc LIMIT :iniciar,:totalPaginas;";

try{
    $sql=$conexion->prepare($sqlFormulario); 
    $sql->bindParam(":planId",$selPlan);
    if($txtFiltro!="" ){
        $txtFiltro2=limpiaHTML("%".$txtFiltro."%");
        $sql->bindParam(":id",$txtFiltro2);
    }
    $sql->bindParam(":iniciar",$iniciar, PDO::PARAM_INT);
    $sql->bindParam(":totalPaginas",$totalPaginas, PDO::PARAM_INT);
    $sql->execute();
}catch (Exception $err) {
    echo ("Ha ocurrido un error en la solicitud. ");    
    throw $err;
}
$listaFormulario = $sql->fetchAll(PDO::FETCH_ASSOC); //almacena todos los registros como arreglo
?>
<script type="text/javascript">
	$(document).ready(function(){
        $('#selPlan').select2();
        //$('#selCliente').select2();
        //$('#selInstalacion').select2();
        $('#selPlan').change(function(){
            this.form.submit();
		});
	})

function eliminarInstalacion(idForm,idInst){
    var retorno = confirm('¿Está seguro de eliminar la instalación?');
    //alert(retorno);
    if(retorno){
        $.ajax({
            type:"POST",
            url:"eliminaInstalacion.php",
            data:"idForm="+idForm+"&idInst="+idInst,
            success:function(r){
                recargaInstalacion(idForm);
            }
        });
    }
    
}

function recargaInstalacion(idForm){
    $.ajax({
        type:"POST",
        url:"actualizaInstalacion.php",
        data:"idForm=" + idForm,
        success:function(r){
            $('#select2lista'+idForm).html(r);
            //$('#selInstalacion').select2();
        }
    });
}
</script>
<div class="col-md-4">
    <div class="card">
        <div class="card-header">
            <h4>Movimiento por plan<h4/>
        </div>
        <div class="card-body">
                <?php if(strlen($error) > 0) {?>
                    <div class='alert alert-danger' role="alert">
                        <?php echo $error; ?>
                    </div>
                <?php }?>
            <form method="POST" enctype="multipart/form-data">
            <input type="hidden" class="form-control" name="txtId" id="txtId" value="<?php echo $txtId; ?>" >
                <div class = "form-group">
                    <label for="exampleSelect1" class="form-label mt-1">Plan de prevenci&oacute;n*</label>
                    <select class="form-select" id="selPlan" name="selPlan" required  >
                    <option value="" >Seleccione</option>
                    <?php
                    try{
                    $sqlPlan=$conexion->prepare("SELECT id, clienteId, nombrePlan, fechaInicio, fechaTermino FROM planprevencion where estadoId=1;");  
                    $sqlPlan->execute();
                    $listaPlan = $sqlPlan->fetchAll(PDO::FETCH_ASSOC); //almacena todos los registros como arreglo
                        foreach($listaPlan as $plan) { 
                            $txtId=$plan['id'];
                            /*$clienteId=$plan['clienteId'];
                            $fechaInicio=$plan['fechaInicio'];
                            $fechaFin=$plan['fechaTermino'];*/
                            ?>
                            <option value="<?php echo $txtId ?>" <?php if($selPlan==$txtId) {echo ("selected"); } ?>><?php echo $plan['nombrePlan'] ?></option>
                        <?php 
                        } 
                    }catch (Exception $err) {
                        echo ("Ha ocurrido un error en la solicitud. ");    
                        throw $err;
                    }
                    ?>
                    </select>
                </div>
                <?php
                $disabled = "";
                    if($selPlan != ""){
                        //$disabled = "disabled";
                        //echo("txtId=".$txtId."<br>clienteId=".$clienteId."<br>instalacionId=".$instalacionId);
                ?>
                <!--div class = "form-group">
                    <label for="exampleSelect1" class="form-label mt-1">Cliente*</label>
                    <select required <?php echo $disabled ?> class="form-select" id="selCliente" name="selCliente" >
                    <?php
                    try{
                    $sqlCliente=$conexion->prepare("select cli.id, cli.nombre, pp.fechaInicio, pp.fechaTermino from planprevencion pp 
                    inner join cliente cli on pp.clienteId = cli.id where pp.id in (:id) ;");  
                    $sqlCliente->bindParam(":id",$selPlan);
                    //echo("select cli.id, cli.nombre from planprevencion pp 
                    //inner join cliente cli on pp.clienteId = cli.id where pp.id in (".$selPlan.") ;");
                    $sqlCliente->execute();
                    $listaCliente = $sqlCliente->fetchAll(PDO::FETCH_ASSOC); //almacena todos los registros como arreglo
                        foreach($listaCliente as $cli) { 
                            $fechaInicio=$cli['fechaInicio'];
                            $fechaFin=$cli['fechaTermino'];
                            ?>
                        
                            <option value="<?php echo $cli['id'] ?>" <?php if($selCliente==$cli['id']) {echo ("selected"); } ?>><?php echo $cli['nombre'] ?></option>
                            <-->
                            <input type="hidden" name="selCliente" value="<?php echo $cli['id'] ?>"/>
                            <!-->
                        <?php 
                        } 
                    }catch (Exception $err) {
                        echo ("Ha ocurrido un error en la solicitud. ");    
                        throw $err;
                    }
                    ?>
                    </select>
                </div-->
                <div class = "form-group">
                    <label for="exampleSelect1" class="form-label mt-1">Instalaci&oacute;n*</label>
                    <select required <?php echo $disabled ?> class="form-select" id="selInstalacion" name="selInstalacion[]" multiple >
                    <?php
                    try{
                    $sqlInstalacion=$conexion->prepare("select ins.id, ins.nombre from planprevencion pp 
                    inner join planinstalacion pi on pi.planId = pp.id inner join instalacion ins on ins.id = pi.instalacionId
                    where pp.id in (:id) order by ins.id ;");  
                    $sqlInstalacion->bindParam(":id",$selPlan);
                    $sqlInstalacion->execute();
                    $listaInstalacion = $sqlInstalacion->fetchAll(PDO::FETCH_ASSOC); //almacena todos los registros como arreglo
                        foreach($listaInstalacion as $ins) { 
                            if($selInstalacion != ""){
                                $selected = in_array($ins['id'], $selInstalacion) ? 'selected' : '';
                            }
                            ?>
                            <option value="<?php echo $ins['id'] ?>" <?php echo $selected; ?>><?php echo $ins['nombre'] ?></option>
                        <?php 
                        } 
                    }catch (Exception $err) {
                        echo ("Ha ocurrido un error en la solicitud. ");    
                        throw $err;
                    }
                    ?>
                    </select>
                </div>
                <div class = "form-group">
                    <label for="exampleSelect1" class="form-label mt-1">Actividad*</label>
                    <select required class="form-select" id="selActividad" name="selActividad" >
                    <?php
                    try{
                    $sqlActividad=$conexion->prepare("SELECT act.id, act.detalle, pa.cantidad FROM actividades act INNER JOIN planactividad pa on pa.actividadId=act.id 
                    where pa.planId=:id  order by act.id;");  
                    echo("SELECT act.id, act.detalle, pa.cantidad FROM actividades act INNER JOIN planactividad pa on pa.actividadId=act.id 
                    where pa.planId=".$txtId."  order by act.id;");
                    $sqlActividad->bindParam(":id",$selPlan);
                    $sqlActividad->execute();
                    $listaActividad = $sqlActividad->fetchAll(PDO::FETCH_ASSOC); //almacena todos los registros como arreglo
                        foreach($listaActividad as $act) { ?>
                            <option value="<?php echo $act['id'] ?>" <?php if($selActividad==$act['id']) {echo ("selected"); } ?>><?php echo $act['detalle'] . " (" .$act['cantidad'] . ") " ?></option>
                        <?php 
                        } 
                    }catch (Exception $err) {
                        echo ("Ha ocurrido un error en la solicitud. ");    
                        throw $err;
                    }
                    ?>
                    </select>
                </div>
                <div class="form-group">
                    <label class="form-label mt-1" for="exampleSelect1">Fecha realizaci&oacute;n*</label>
                    <input id="txtFechaRealizacion" required name="txtFechaRealizacion"  class="form-control" type="date" 
                    value="<?php echo $txtFechaRealizacion; ?>" min="<?php echo $fechaInicio; ?>" max="<?php echo $fechaFin; ?>"/>

                </div>
                <div class = "form-group">
                    <label for="exampleSelect1" class="form-label mt-1">Adjunto*</label>
                    <?php echo $txtFileNameAdjunto; ?>
                    <input type="file" required class="form-control" name="txtFileAdjunto" id="txtFileAdjunto" >
                </div>
                <?php
                    }
                ?>
                <br/>
                <div class="btn-group" role="group" aria-label="">
                <?php
                    if($selPlan != ""){
                ?>
                    <button type="submit" name="action" <?php if ($action=="Seleccionar" or $action=="Modificar"  ){echo ("disabled");} ?> value="Agregar" class="btn btn-outline-success" onclick="return confirm('¿Está seguro de agregar el registro?')">Agregar</button> &nbsp;
                    <button type="submit" name="action" <?php if ($action!="Seleccionar" and $action!="Modificar"){echo ("disabled");} ?> value="Modificar" class="btn btn-outline-warning" onclick="return confirm('¿Está seguro de modificar el registro?')">Modificar</button>&nbsp;
                    <?php
                    }
                ?>
                    <button type="submit" name="action" formnovalidate="" value="Volver" class="btn btn-outline-info">Volver</button>
                </div>

            </form>
        </div>
    </div>
</div>
<div class="col-md-8">
        <form class="d-flex" method="POST">
            <input type="hidden" class="form-control" name="pagina" id="pagina" value="<?php echo $getPagina; ?>" >
            <input type="hidden" name="txtId" id="txtId" value="<?php echo $txtId; ?>" >
            <input type="hidden" name="selPlan" id="selPlan" value="<?php echo $selPlan; ?>" >
            <input class="form-control me-sm-2" type="text" placeholder="filtrar" name="txtFiltro" id="txtFiltro" value="<?php echo ($txtFiltro!="")?$txtFiltro:""; ?>">
            <button class="btn btn-outline-info" name="action" type="submit" value="Filtrar">Filtrar</button>
        </form>
    <table class="table table-hover">
        <thead>
            <tr>
                <th>ID</th>
                <th>Cliente</th>
                <th>Actividad</th>
                <!--th>Fecha</th>
                <th>Adjunto</th-->
                <th>Acci&oacute;n</th>
            </tr>
        </thead>
        <tbody>
            <?php 
            foreach($listaFormulario as $form) { ?>
            <tr>
                    <td>
                        <h2 class="accordion-header" id="headingOne">
                            <button class="btn btn-outline-dark" type="button" data-bs-toggle="collapse" data-bs-target="#collapse<?php echo $form['id'] ?>" aria-expanded="false" aria-controls="collapseOne" onclick="recargaInstalacion(<?php echo $form['id'] ?>);">
                                <?php echo $form['id'] ?>
                            </button>
                        </h2>
                    </td>
                <td><?php echo $form['nombre'] ?></td>
                <td><?php echo $form['detalle'] ?></td>
                <!--td>
                    <?php 
                        echo date("d-m-Y",strtotime($form['fechaRealizacion']));
                    ?>
                </td>
                <td><?php echo $form['adjunto'] ?></td-->
                <td>
                    <form method="post">
                        <input type="hidden" name="txtId" id="txtId" value="<?php echo $form['id'] ?>">
                        <button type="submit" name="action" class="btn btn-outline-dark" value="Seleccionar">
                            <i type="submit" class="bi bi-check2-circle" style="font-size: 1rem; color: #BA0700;"></i>
                        </button>
                        <?php 
                        if($idPerfil != 2){
                        ?>
                        <button type="submit" name="action" class="btn btn-outline-dark" value="Eliminar" onclick="return confirm('¿Está seguro de eliminar el registro?')">
                            <i type="submit" class="bi bi-trash3" style="font-size: 1rem; color: #BA0700;"></i>
                        </button>
                        <?php 
                        }
                        ?>
                    </form>
                </td>
            </tr>
            <tr>
                    <td colspan="4">
                        <div class="accordion" id="accordionExample<?php echo $form['id'] ?>">
                            <div class="accordion-item">
                                <div id="collapse<?php echo $form['id'] ?>" class="accordion-collapse collapse" aria-labelledby="headingOne" data-bs-parent="#accordionExample<?php echo $form['id'] ?>" >
                                    <div class="accordion-body">
                                    <table class="table table-hover">
                                        <thead>
                                            <tr>
                                                <th>F. Realizaci&oacute;n</th>
                                                <th>Adjunto</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <tr>
                                                <td><?php echo date("d-m-Y",strtotime($form['fechaRealizacion'])) ?></td>
                                                <td>
                                                    <a href="archivos/plan/<?php echo $form['adjunto'] ?>"  target="_blank">
                                                        <?php echo $form['adjunto'] ?>
                                                    </a>
                                                </td>
                                            </tr>
                                        </tbody>
                                    </table>
                                        <table class="table table-hover">
                                            <thead>
                                                <tr>
                                                    <th colspan="3">Instalaciones</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                            </tbody>
                                    </table>

                                    <div id="select2lista<?php echo $form['id'] ?>" ></div>
                                    
                                    </div>
                                </div>
                            </div>
                        </div>
                    </td>
                </tr>
            <?php } ?>
        </tbody>
    </table>
    <div>
        <ul class="pagination">

            <li class="page-item ">
                    <form class="d-flex" method="POST">
                        <button class="page-link" type="submit" <?php echo ($getPagina<1)?"disabled":""; ?>>&laquo;</button>
                        <input type="hidden" name="pagina" id="pagina" value="<?php echo $getPagina; ?>" >
                        <input type="hidden" name="txtFiltro" id="txtFiltro" value="<?php echo $txtFiltro; ?>" >
                        <input type="hidden" name="selPlan" id="selPlan" value="<?php echo $selPlan; ?>" >
                    </form>
                <!--a class="page-link" href="<?php echo $html; ?>?pagina=<?php echo $getPagina-1 ?>&txtFiltro=<?php echo $txtFiltro; ?>">&laquo;</a-->
            </li>
                <?php for($i=0; $i< $paginas; $i++ ) { 
                    if((($i+1)%$paginadorSalto)==0){
                        echo("</ul><ul class='pagination'>");
                    } 
                ?>
            <li class="page-item ">
                    <form class="d-flex" method="POST">
                    <?php
                    $active = "";
                    if ($getPagina == $i){$active = "active";}else{$active = "";}
                    ?>
                        <button class="page-link <?php echo $active; ?>" type="submit" ><?php echo $i+1 ?></button>
                        <input type="hidden" name="pagina" id="pagina" value="<?php echo $i+1; ?>" >
                        <input type="hidden" name="txtFiltro" id="txtFiltro" value="<?php echo $txtFiltro; ?>" >
                        <input type="hidden" name="selPlan" id="selPlan" value="<?php echo $selPlan; ?>" >
                    </form>
                <!--a class="page-link" href="<?php echo $html; ?>?pagina=<?php echo $i+1 ?>&txtFiltro=<?php echo $txtFiltro; ?>"><?php echo $i+1 ?></a-->
            </li>
            <?php } ?>
            <li class="page-item ">
                    <form class="d-flex" method="POST">
                    <?php //echo $paginas; ?>
                        <button class="page-link" type="submit" <?php echo ($getPagina+1>=$paginas)?"disabled":""; ?>>&raquo;</button>
                        <input type="hidden" name="pagina" id="pagina" value="<?php echo $getPagina+2; ?>" >
                        <input type="hidden" name="txtFiltro" id="txtFiltro" value="<?php echo $txtFiltro; ?>" >
                        <input type="hidden" name="selPlan" id="selPlan" value="<?php echo $selPlan; ?>" >
                    </form>
                <!--a class="page-link" href="<?php echo $html; ?>?pagina=<?php echo $getPagina+1 ?>&txtFiltro=<?php echo $txtFiltro; ?>">&raquo;</a-->
            </li>
        </ul>
    </div>
</div>

<?php include('./templates/pie.php'); ?>